.m-subtotal {
  width: 100%;
  max-width: 21.875rem;
  padding: 1.875rem;

  &__value-wrapper {
    display: flex;
    justify-content: space-between;
    text-transform: uppercase;
    margin-block-end: 1.5rem;
    font-weight: 700;
  }

  &__value {
    &::before {
        content: "";
        display: inline-block;
        width: 1.4rem;
        height: 1.4rem;
        background-image: url("../assets/icons/rupee.svg");
        background-size: 100% 100%;
        background-repeat: no-repeat;
        margin-inline-end: 0.5rem;
        vertical-align: middle;
      }
  }

  &__tax-info {
    font-size: 0.875rem;
    margin-block-end: 1.5rem;
  }

  &__coupon-code-wrapper {
    display: flex;
    justify-content: flex-end;
    margin-block-end: 0.5rem;
  }

  &__code-ip {
    padding: 0.625rem 0.9375rem 0.625rem 0.625rem;
    border: 0.0625rem solid rgb(190, 190, 190);
    margin-inline-end: 0.375rem;
    max-width: 11.25rem;

    &::placeholder {
      color: rgb(190, 190, 190);
    }
  }

  &__apply-btn {
    padding: 1rem;
    font-weight: 700;
    color: #fff;
    background-color: #3a3a3a;
    border-radius: 0.125rem;
    display: inline-block;
    text-transform: uppercase;
    cursor: pointer;
  }

  &__checkout-btn {
    padding: 1rem;
    display: block;
    width: 100%;
    color: #fff;
    background-color: #000;
    font-size: 0.875rem;
    text-transform: uppercase;
    cursor: pointer;
  }
}
